<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpfile_name = $WHuds->safecheck($WHuds->root . WH_SLASH . $WHuds->dir_name . WH_SLASH . $newfile_name);

if(!$WHuds->exists($tmpfile_name))
{
	$result = $WHuds->write($tmpfile_name, $newfile_content, $newfile_perm);

	if($result){ $WH->message("新建文件{$tmpfile_name}成功！", "index.php?dir=$dir");}
	else{ $WH->message("新建文件{$tmpfile_name}失败，可能不够权限执行此操作！", "index.php?dir=$dir");}
}
else
{
	$WH->message("已经存在此文件，返回！", "index.php?dir=$dir");
}

?>